## Apache Zeta Components Manual :: Docs For Class ezcConsoleOptionException

### ConsoleTools::ezcConsoleOptionException

### Class ezcConsoleOptionException

General exception container for the ConsoleTools component referring to option handling.

This base container allows you to catch all exceptions which are related to errors produced by invalid user submitted options ezcConsoleInput::process().

Source for this file: /ConsoleTools/src/exceptions/option.php

    Exception
       |
       --ezcBaseException
          |
          --ezcConsoleException
             |
             --ezcConsoleOptionException

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcConsoleOptionMandatoryViolationException | An option was marked to be mandatory but was not submitted.
ezcConsoleOptionArgumentsViolationException | An option excludes the usage of arguments, but there were arguments submitted.
ezcConsoleOptionTypeViolationException | An option was submitted with an illigal type.
ezcConsoleOptionMissingValueException | An option which expects a value was submitted without.
ezcConsoleOptionNotExistsException | Occurs if the requested option is not registered.
ezcConsoleOptionTooManyValuesException | An option that expects only a single value was submitted with multiple values.
ezcConsoleOptionExclusionViolationException | An exclusion rule for a parameter was violated.
ezcConsoleOptionDependencyViolationException | A dependency rule for a parameter was violated.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

Documentation generated by phpDocumentor 1.4.3